summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tomka@gentoo.org>2016-06-09 22:16:05 +0200
committerThomas Kahle <tomka@gentoo.org>2016-06-09 22:16:25 +0200
commit68b401536df91ee42b4e58cd38b74f96ca0a0560 (patch)
treed1982f548addaed754f25fa15efd44c433225270 /sci-mathematics/gfan/gfan-0.5-r1.ebuild
parentx11-terms/xterm: make building xinerama support optional (diff)
downloadgentoo-68b401536df91ee42b4e58cd38b74f96ca0a0560.tar.gz
gentoo-68b401536df91ee42b4e58cd38b74f96ca0a0560.tar.bz2
gentoo-68b401536df91ee42b4e58cd38b74f96ca0a0560.zip
sci-mathematics/gfan: gcc-6.1 compat and EAPI=6
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'sci-mathematics/gfan/gfan-0.5-r1.ebuild')
-rw-r--r--sci-mathematics/gfan/gfan-0.5-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/sci-mathematics/gfan/gfan-0.5-r1.ebuild b/sci-mathematics/gfan/gfan-0.5-r1.ebuild
new file mode 100644
index 00000000000..aaf03c9d7ab
--- /dev/null
+++ b/sci-mathematics/gfan/gfan-0.5-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="computes Groebner fans and tropical varities"
+HOMEPAGE="http://www.math.tu-berlin.de/~jensen/software/gfan/gfan.html"
+SRC_URI="http://www.math.tu-berlin.de/~jensen/software/gfan/${PN}${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+DEPEND="dev-libs/gmp[cxx]
+ sci-libs/cddlib"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}${PV}/"
+
+PATCHES=(
+ "${FILESDIR}/${P}-double-declare-fix.patch"
+ "${FILESDIR}/${P}-gcc6.1-compat.patch"
+ )
+
+src_prepare () {
+ default
+ sed -i -e "s/-O2/${CXXFLAGS}/" \
+ -e "/GPROFFLAG =/d" \
+ -e "s/g++/$(tc-getCXX)/" \
+ -e "s/\$(CCLINKER)/& \$(LDFLAGS)/" Makefile || die
+}
+
+src_install() {
+ emake PREFIX="${ED}/usr" install
+}